@import url('open-iconic/font/css/open-iconic-bootstrap.min.css');

html, body {
    font-family: 'Helvetica Neue', Helvetica, Arial, sans-serif;
    /*   background-color: #f6f8f8;*/
    background-color: #d3d0d0;
    overscroll-behavior-y: contain;  /* prevent mobile web pull down refresh*/
}

h1:focus {
    outline: none;
}

a, .btn-link {
    color: #0071c1;
}

.btn-primary {
    color: #fff;
    background-color: #1b6ec2;
    border-color: #1861ac;
}

.content {
    padding-top: 1.1rem;
}


.valid.modified:not([type=checkbox]) {
    outline: 1px solid #26b050;
}

.invalid {
    outline: 1px solid red;
}

.validation-message {
    color: red;
}

#blazor-error-ui {
    background: lightyellow;
    bottom: 0;
    box-shadow: 0 -1px 2px rgba(0, 0, 0, 0.2);
    display: none;
    left: 0;
    padding: 0.6rem 1.25rem 0.7rem 1.25rem;
    position: fixed;
    width: 100%;
    z-index: 1000;
}

    #blazor-error-ui .dismiss {
        cursor: pointer;
        position: absolute;
        right: 0.75rem;
        top: 0.5rem;
    }

.blazor-error-boundary {
    background: url(data:image/svg+xml;base64,PHN2ZyB3aWR0aD0iNTYiIGhlaWdodD0iNDkiIHhtbG5zPSJodHRwOi8vd3d3LnczLm9yZy8yMDAwL3N2ZyIgeG1sbnM6eGxpbms9Imh0dHA6Ly93d3cudzMub3JnLzE5OTkveGxpbmsiIG92ZXJmbG93PSJoaWRkZW4iPjxkZWZzPjxjbGlwUGF0aCBpZD0iY2xpcDAiPjxyZWN0IHg9IjIzNSIgeT0iNTEiIHdpZHRoPSI1NiIgaGVpZ2h0PSI0OSIvPjwvY2xpcFBhdGg+PC9kZWZzPjxnIGNsaXAtcGF0aD0idXJsKCNjbGlwMCkiIHRyYW5zZm9ybT0idHJhbnNsYXRlKC0yMzUgLTUxKSI+PHBhdGggZD0iTTI2My41MDYgNTFDMjY0LjcxNyA1MSAyNjUuODEzIDUxLjQ4MzcgMjY2LjYwNiA1Mi4yNjU4TDI2Ny4wNTIgNTIuNzk4NyAyNjcuNTM5IDUzLjYyODMgMjkwLjE4NSA5Mi4xODMxIDI5MC41NDUgOTIuNzk1IDI5MC42NTYgOTIuOTk2QzI5MC44NzcgOTMuNTEzIDI5MSA5NC4wODE1IDI5MSA5NC42NzgyIDI5MSA5Ny4wNjUxIDI4OS4wMzggOTkgMjg2LjYxNyA5OUwyNDAuMzgzIDk5QzIzNy45NjMgOTkgMjM2IDk3LjA2NTEgMjM2IDk0LjY3ODIgMjM2IDk0LjM3OTkgMjM2LjAzMSA5NC4wODg2IDIzNi4wODkgOTMuODA3MkwyMzYuMzM4IDkzLjAxNjIgMjM2Ljg1OCA5Mi4xMzE0IDI1OS40NzMgNTMuNjI5NCAyNTkuOTYxIDUyLjc5ODUgMjYwLjQwNyA1Mi4yNjU4QzI2MS4yIDUxLjQ4MzcgMjYyLjI5NiA1MSAyNjMuNTA2IDUxWk0yNjMuNTg2IDY2LjAxODNDMjYwLjczNyA2Ni4wMTgzIDI1OS4zMTMgNjcuMTI0NSAyNTkuMzEzIDY5LjMzNyAyNTkuMzEzIDY5LjYxMDIgMjU5LjMzMiA2OS44NjA4IDI1OS4zNzEgNzAuMDg4N0wyNjEuNzk1IDg0LjAxNjEgMjY1LjM4IDg0LjAxNjEgMjY3LjgyMSA2OS43NDc1QzI2Ny44NiA2OS43MzA5IDI2Ny44NzkgNjkuNTg3NyAyNjcuODc5IDY5LjMxNzkgMjY3Ljg3OSA2Ny4xMTgyIDI2Ni40NDggNjYuMDE4MyAyNjMuNTg2IDY2LjAxODNaTTI2My41NzYgODYuMDU0N0MyNjEuMDQ5IDg2LjA1NDcgMjU5Ljc4NiA4Ny4zMDA1IDI1OS43ODYgODkuNzkyMSAyNTkuNzg2IDkyLjI4MzcgMjYxLjA0OSA5My41Mjk1IDI2My41NzYgOTMuNTI5NSAyNjYuMTE2IDkzLjUyOTUgMjY3LjM4NyA5Mi4yODM3IDI2Ny4zODcgODkuNzkyMSAyNjcuMzg3IDg3LjMwMDUgMjY2LjExNiA4Ni4wNTQ3IDI2My41NzYgODYuMDU0N1oiIGZpbGw9IiNGRkU1MDAiIGZpbGwtcnVsZT0iZXZlbm9kZCIvPjwvZz48L3N2Zz4=) no-repeat 1rem/1.8rem, #b32121;
    padding: 1rem 1rem 1rem 3.7rem;
    color: white;
}

    .blazor-error-boundary::after {
        content: "An error has occurred."
    }


/* toast */

.snackbar11, .show11 {
    min-width: 250px;
    margin-left: -125px;
    background-color: #97e997;
    color: #16632e;
    text-align: center;
    border-radius: 10px;
    padding: 16px;
    position: fixed;
    z-index: 1000;
    left: 50%;
    /*bottom: 30px;*/
    top: calc(50% - 100px);
    font-size: 20px;
}

.show11 {
    display: block;
    -webkit-animation: fadein 0.3s, fadeout 0.3s 2s;
    animation: fadein 0.3s, fadeout 0.3s 2s;
}

.snackbar11 {
    display: none;
}

@-webkit-keyframes fadein {
    from {
        /*bottom: 0;*/
        opacity: 0;
    }

    to {
        /*bottom: 30px;*/
        opacity: 1;
    }
}

@keyframes fadein {
    from {
        /*bottom: 0;*/
        opacity: 0;
    }

    to {
        /*bottom: 30px;*/
        opacity: 1;
    }
}

@-webkit-keyframes fadeout {
    from {
        /*bottom: 30px;*/
        opacity: 1;
    }

    to {
        /*bottom: 0;*/
        opacity: 0;
    }
}

@keyframes fadeout {
    from {
        /*bottom: 30px;*/
        opacity: 1;
    }

    to {
        /*bottom: 0;*/
        opacity: 0;
    }
}

/* In Progress*/
.InProgress {
    border-radius: 5px;
    position: fixed;
    z-index: 1000;
    left: calc(50% - 50px);
    top: calc(50% - 100px);
    font-size: 20px;
    background-color: #ebebca;
    margin: auto;
    padding: 20px 16px;
    border: 1px solid #a5a1a1;
    width: auto;
    display: inline-block;
    box-shadow: 0 4px 8px 0 rgba(0,0,0,0.2),0 6px 20px 0 rgba(0,0,0,0.19);
    -webkit-animation-name: animatetop;
    -webkit-animation-duration: 0.4s;
    animation-name: animatetop;
    animation-duration: 0.4s;
    text-align: center;
}


/*PagingNav*/


.pagination {
    display: inline-block;
    font-size: 14px;
    padding: 10px;
}

.pagination_a, .pagination_a_active {
    color: black;
    padding: 6px 12px;
    text-decoration: none;
    cursor: pointer;
    background-color: transparent;
    border: 0px;
}
.pagination_a_active {
    background-color: #8d021f;
    color: white;
    border-radius: 5px;
}

.pagination div {
    color: black;
    float: left;
    padding: 6px 6px;
    vertical-align: bottom;
    text-decoration: none;
}
.pagination_dot {
    color: black;
    padding: 0px 0px;
    text-decoration: none;
    font-weight: 700;
    font-size: 14px;
}
.pagination_btn {
    color: black;
    padding: 6px 12px;
    text-decoration: none;
    background-color: transparent;
    border: 0px;
    font-weight: 700;
    font-size: 14px;
    cursor: pointer;
}

    .pagination_btn:hover {
        background-color: #fff;
    }



.pagination_a:hover:not(.active) {
    background-color: #fff;
    border-radius: 5px;
}


/* The Modal prompt *********************************************** */
.modal {
    display: block; /* Hidden by default */
    position: fixed; /* Stay in place */
    z-index: 111; /* Sit on top */
    padding-top: 10px; /* Location of the box */
    left: 0;
    top: 0;
    width: 100%; /* Full width */
    height: 100%; /* Full height */
    overflow: auto; /* Enable scroll if needed */
    background-color: rgb(0,0,0); /* Fallback color */
    background-color: rgba(0,0,0,0.4); /* Black w/ opacity */
}

.modal-content {
    position: relative;
    background-color: #fefefe;
    margin: auto;
    padding: 0;
    border: 1px solid #888;
    width: 500px;
    box-shadow: 0 4px 8px 0 rgba(0,0,0,0.2),0 6px 20px 0 rgba(0,0,0,0.19);
    -webkit-animation-name: animatetop;
    -webkit-animation-duration: 0.4s;
    animation-name: animatetop;
    animation-duration: 0.4s;
    max-height: calc(100% - 20px);
    font-size:14px;
}


.close {
    color: black;
    float: right;
    font-size: 28px;
    font-weight: bold;
}

    .close:hover,
    .close:focus {
        color: #000;
        text-decoration: none;
        cursor: pointer;
    }

.modal-header {
    padding: 2px 16px;
    font-size: 20px;
    font-weight: bold;
    /*background-color: #5cb85c;*/

    color: black;
}

.modal-body {
    padding: 10px 10px  10px 10px;
    height:auto;
    overflow-y:auto;

}

.modal-footer {
    padding: 2px 16px;
    /* background-color: #5cb85c;
  color: white;*/
}

.modal-header2 {
    padding: 0px 0px;
    font-size: 20px;
    font-weight: bold;
    /*background-color: #5cb85c;*/
    vertical-align: top;
    color: black;
}

.modal-body2 {
    padding: 10px 5px 10px 5px;
    /*background:red;*/
    /*height: 500px;*/
    max-height: calc(100vh - 100px);
    overflow-y: auto;
}

.modal-footer2 {
    padding: 2px 16px;
    /* background-color: #5cb85c;
  color: white;*/
}



@media only screen and (max-width: 640px) {
    .Overflow_y {
        height: auto;
        overflow-y: auto;
    }


    .modal-body {
        padding: 2px 0px 10px 0px;
    }
    .modal-content {
        position: fixed;
        left: 0;
        width: 100%;
        height: 100%;
        top: 0px;
        max-height: 100%;
    }
}
    /*Announcement *******************/
    .ann-subject {
        color: rgb(40, 36, 36);
        font-size: 15px;
        font-weight: bold;
        padding: 4px 7px 2px 0px;
    }

    .ann-message {
        color: rgb(40, 36, 36);
        font-size: 15px;
        font-weight: normal;
        padding: 4px 7px 2px 0px;
    }

    .ann-date {
        color: #1b6030;
        font-size: 12px;
        font-weight: bold;
        padding: 4px 7px 2px 0px;
    }

    .ann-user {
        color: #1861ac;
        font-size: 12px;
        font-weight: normal;
        padding: 4px 7px 2px 0px;
    }

    .ann-row {
        color: black;
        font-size: 12px;
        font-weight: normal;
        padding: 4px 7px 2px 0px;
    }
    /**error msg *****/
    .err {
        color: red;
        font-size: 12px;
        font-weight: normal;
        padding: 4px 7px 2px 4px;
    }

/* Style tab links */
.gi2 {
    width: 1.5rem;
    font-size: 1.1rem;
    vertical-align: middle;
    /*top: -1px;*/
    /*opacity: 0.5;*/
}

.tablink, .tablink-active, .tablink-active2 {
    /*background-color: #2c83db;*/
    color: #353535;
    /*border: 1px solid #2c83db;*/
    /*border-bottom: white;*/
    outline: none;
    cursor: pointer;
    padding: 0px 5px 5px 0px;
    font-size: 15px;
    display: inline-block;
    text-align: center;
    cursor: pointer;
    margin-right: 5px;
    /*vertical-align: bottom !important;*/
    /*margin:auto;*/
    /*height: 43px;*/
    /* border-radius: 7px 7px 0px 0px; */
}

    .tablink a {
        color:#353535;

    }
    .tablink-active a, .tablink-active2 a {
        color: black;
    }
    .tablink-active {
        color: #3d3d3d;
        background-color: transparent;
        font-weight: bold;
        border-bottom: 3px solid #1b72d1;
    }

.tablink-active2 {
    color: #3d3d3d;
    background-color: transparent;
    font-weight: bold;
    border-bottom: 3px solid #931919;
}
.tablink:hover {
    background-color: #eeeaea;
}

/* Style the tab content (and add height:100% for full page content) */
.tabcontent {
    display: block;
    color: black;
    padding: 10px 5px 10px 5px;
}

.closetab {
    /*color: #3d3d3d;*/
    float: right;
    margin-top: -2px;
    margin-right: -25px;
    text-decoration: none;
    /*background-color: #efebeb;*/
    padding: 0px 5px 0px 5px;
    border-radius: 25px;
    font-weight:bold; 
    font-size:17px;
}

.tabbar {
    padding-left: 5px;
    display:inline-block; 
    /*background-color: #a8a4a4;*/
}


/**************every module bar*/
.moduletitle {
    padding: 5px 15px 5px 15px;
    /* border-bottom: 0.5px solid #e7e8e9;*/
    /*margin-bottom: 10px;*/
    font-weight: 500;
}
    .moduletitle label {
        font-size: 20px;
    }

.modulebar {
    display: block;
    padding: 10px 15px 5px 15px;
    border-bottom: 0.5px solid #e7e8e9;
    vertical-align: bottom !important;
    margin-bottom: 5px;
    height: 48px;
    background-color:#f3f1f1;
}

    .modulebar label {
        font-size: 20px;
        margin-top: -2px;
        font-weight: 500;
    }
    .modulebar_right {
        /*display:flex;*/
        float:right;
        /*right:0px;*/
        margin-top:-5px;
    }

.modulebar_btn1, .modulebar_btn2, .modulebar_btn3, .modulebar_btn4 {
    background-color: #9c631d;
    border: 0.1px solid #bdb4b4;
    color: white;
    padding: 0px 10px 0px 10px;
    text-align: center;
    vertical-align: middle;
    text-decoration: none;
    display: inline-block;
    font-size: 12px;
    font-weight: normal;
    cursor: pointer;
    /*box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);*/
    border-radius: 3px;
    margin-right: 10px;
    height: 30px;
    /*min-width: 80px;*/
}
.btna {
    padding-top: 5px !important;
}
    .modulebar_btn1:hover {
        background-color: #87571b;
    }
.modulebar_btn2 {
    background-color: #f8f0f0;
    color:#2e2e2e;
    
}
.modulebar_btn2:hover {
    background-color: #efe8e8;

}
.modulebar_btn3 {
    background-color: #0979cf;
    color: white;
}
.modulebar_btn4 {
    background-color: red;
    color: white;
}
    .modulebar_btn3:hover {
        background-color: #045fa4;
    }
    .modulebar_btn4:hover {
        background-color: #ef5757;
    }
    /*****section*******/

.sectionA {
    background-color: #ebe0e0;
    /*margin: 0px 10px 10px 10px;*/

    margin-bottom:10px;
}

.sectionA_title {
    padding: 10px 15px 10px 15px;
    font-weight: bold;
}

.sectionA_body {
    padding: 5px 15px 10px 15px;
}



.sectionB {
    background-color: #ebe0e0;
    margin: 0px 0px 10px 0px;
}

.sectionB_title {
    padding: 10px 15px 10px 15px;
    font-weight: bold;
}

.sectionB_body {
    padding: 5px 10px 10px 10px;
}


/******label data**********/
.lbl {
    font-size:12px;
    font-weight:bold;
    color:#353535;
}
.lbldata {
    font-size: 14px;
    /*margin-top: -15px;*/
}
.tabledata td{
    padding:5px 10px 5px 5px;
}

/******table listing**********/
.tablelist {
    width: 100%;
    background-color: #f3f1f1;
    margin-bottom: 10px;
    border-radius: 10px;
    border: 1px solid #e2dbdb;
    border-collapse: separate;
    border-spacing: 0;

}
.tablelist td {
    font-size:14px;
    padding: 10px 10px 10px 10px;
    vertical-align:top;
    border-top: 2px solid #e2dbdb;

     /*background-color:white;*/ 
   
}
.tablelistbody tr {
        /*background-color: #f3f1f1;*/
    }
    .tablelistbody tr:hover, .tablelistbody tr:nth-child(even):hover {
        background-color: wheat;
    }

    .tablelistbody tr:nth-child(even) {

        /*background-color: #f2ecec;*/
    }
.tablelist th {
    font-size: 12px;
    font-weight: bold;
    padding: 10px 10px 10px 10px;

}

/*.tablelist thead {
    font-size: 12px;
    font-weight: bold;
    background-color:red;
    padding: 10px 10px 10px 10px;
}*/

/******hide when print*********/
@media print {
    .noprint {
        display: none;
    }
}

@media only screen and (min-width: 1050px) {
    .body_section {
        width: 100%;
        padding:10px;
    }
}

.prelike {
    /*display: block;*/
    /*unicode-bidi: embed;*/
    /*font-family: monospace;*/
    white-space: pre-wrap;
}


/*******************/
.company_status21, .company_status22, .company_status23, .company_status24, .company_status25 {
    padding: 2px 5px 2px 5px;
    margin: 2px;
    border-radius: 5px;
    font-family: Tahoma;
    font-size: 11px;
    display: inline-block;
    background-color: white;
}

.company_status21 {
    border: 1px solid #888;
    background-color: blue;
    color: white;
}

.company_status22 {
    border: 1px solid #888;
    background-color: green;
    color: white;
}

.company_status23 {
    border: 1px solid #888;
    background-color: #ecc75f;
    color: #6b6c72;
}

.company_status24 {
    border: 1px solid #888;
    background-color: #e2d2d2;
    color: #3d3d3d;
}

.company_status25 {
    border: 1px solid #888;
    background-color: #353535;
    color: white;
}
.btnblank {
    background-color: transparent; /* Button background */
    color: gray; /* Text color */
    border: 0px solid black; /* Border matching the background */
    /*padding: 10px 20px;*/ /* Padding for size */
    /*border-radius: 5px;*/ /* Rounded corners */
    font-size: 16px; /* Font size */
    cursor: pointer; /* Pointer cursor on hover */
    transition: all 0.3s ease; /* Smooth transition effect */
}

    /* Hover effect */
    .btnblank:hover {
        background-color: white; /* Change background on hover */
        color: black; /* Change text color on hover */
        border-color: black; /* Keep border black */
    }


.searchsection {
    padding: 10px;
    background-color: #fff;
    border-radius: 10px;
    margin-bottom:10px;

}

.inputx {
    padding: 5px 10px;
    border: 1px solid #d1d5db;
    border-radius: 8px;
    font-size: 14px;
    transition: all 0.2s ease;
    outline: none;
    background-color: #f4f2c0;
    margin-bottom: 10px;
}

    /* The magic happens here */
    .inputx:focus, .selectx:focus {
        border-color: #3b82f6;
        box-shadow: 0 0 0 4px rgba(59, 130, 246, 0.1);
    }

    .inputx::placeholder {
        color: #9ca3af;
        font-style: italic;
    }

.selectx {
    padding: 7px 10px;
    border: 1px solid #d1d5db;
    border-radius: 8px;
    font-size: 14px;
    transition: all 0.2s ease;
    outline: none;
    background-color: #f4f2c0;
    margin-bottom: 10px;
}

.lbldatalink {
    border: none;
    cursor: pointer;
    /* 2. Box Sizing & Shape */
    padding: 5px 5px;
    font-size: 14px;
    font-weight: bold;
    border-radius: 8px; /* Small radius for a "box" feel */
    /* 3. Interaction */
    transition: all 0.3s ease;
    /*box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);*/

}
/* Hover State */
    .lbldatalink:hover {
        background-color: #0056b3;
        color: white;
        transform: translateY(-2px); /* Lifts the box slightly */
        box-shadow: 0 6px 12px rgba(0, 0, 0, 0.15);
    }

/* Active State (When clicked) */
    .lbldatalink:active {
        transform: translateY(0);
        box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
    }

.lbldatalinkcolor1 {
    background-color: #a77262;
    color: white;
 
}


.close2 {
    color: gray;
    /*float: right;*/
    font-size: 20px;
    font-weight: 600;
    margin-top: -10px;
    text-decoration: none;
    margin-right: 20px;
}

    .close2:hover,
    .close2:focus {
        color: #000;
        text-decoration: none;
        cursor: pointer;
    }

    .lblbox {
        padding:0px 8px 0px 8px;
        display:inline-block;
        font-size:14px;
        margin-bottom:5px;
        /*background:red*/

    }

        .lblbox label {
               font-size: 11px;
                color:#1861ac;
        }


.drop-zone {
    padding: 20px;
    width: 100%;
    /*min-height: 200px;*/
    border: 2px dashed #0087F7;
    border-radius: 8px;
}

    .drop-zone.hover {
        border-style: solid;
    }

.download-btn {
    /* Layout and Shape */
/*    display: inline-block;
    padding: 12px 24px;
    border-radius: 8px;*/
    /* Colors and Typography */
/*    background-color: #007bff;*/
    color: black;
    text-decoration: none; /* Removes the underline */
  /*  font-weight: bold;
    font-family: sans-serif;*/
    /* Smooth transition for hover effects */
    /*transition: background-color 0.3s ease, transform 0.2s ease;*/
    cursor: pointer;
    text-decoration: underline;
}

    /* Hover Effect */
    .download-btn:hover {
        /*background-color: #0056b3;*/
        /*transform: translateY(-2px);*/ /* Slight lift effect */
        color: blue;
    }
    /* Active/Click Effect */
    .download-btn:active {
        transform: translateY(0);
    }


.btn_link {

    color: #1648a3;
    text-decoration: none; /* Removes the underline */
    cursor: pointer;
    text-decoration: underline;
    font-size:14px;

    font-weight:normal;
    padding:5px;
} 
    /* Active/Click Effect */
    .btn_link:active {
        transform: translateY(0);
    }
    /* Hover Effect */
.btn_link:hover {
    /*background-color: #0056b3;*/
    /*transform: translateY(-2px);*/ /* Slight lift effect */
    color: #209831;
}



.textbox1 {
    padding: 5px;
    border: 1px solid red;
    color: black;
    font-size: 12px;
    margin-bottom: 5px;
    margin-right: 5px;
    display: inline-block;
    border-radius: 8px;
}
.divrow:hover {
    background-color: #f6f2e6;
}

    .divrow {
        border-bottom: 1px solid gray;
        padding: 5px;
    }

.textline1, .textline2 {
    padding: 0px 5px 0px 5px;
    color: black;
    font-size: 12px;
    margin-bottom: 5px;
    /*margin-right: 5px;*/
    display: inline-block;
}
.textline2 {
    border-left: 1px solid gray;
  
}
    .textline1:hover, .textline2:hover {
        background-color: #888;
        color: #f3f1f1;
    }


.databoxred {
    padding: 1px 3px 1px 3px;
    border: 1px solid red;
    color: red;
    font-weight:bold;
    font-size: 12px;
    background: #fceceb;
    display: inline-block;
    border-radius: 8px;
}